/**
 * 新来车检测后处理
 * */

#ifndef POSTTRAINANAENGINE_H
#define POSTTRAINANAENGINE_H

#include "AppCommon.h"
#include "MyYaml.h"
#include "myutils.h"
#include "EngineBase.h"
#include "EngineFactory.h"

class PostTrainAnaEngine : public ai_matrix::EngineBase
{
public:
    PostTrainAnaEngine();
    ~PostTrainAnaEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    //参数初始化
    void InitParam();


    std::string strPort0_;
    uint32_t iMoveDataNO_ = 1; //动态检测数据编号
    std::string strTrainData_;
    std::string strTrainName_;
    std::string strResultPath_;

    std::set<int> setPushPort_;
    ai_matrix::DataSourceConfig dataSourceCfg_;
};

ENGINE_REGIST(PostTrainAnaEngine)

#endif
